1 Reply Latest reply on Sep 20, 2016 12:00 AM by F. McLion

    Lightroom 6 Catalog cannot be opened because it is too new error message

    spiritdiva1

      I'm getting this error message. "The Lightroom catalog named Lightroom 6 Catalog cannot be opened because it is too new to be used by this version of Lightroom. Would you like to select a different catalog?" I know that someone asked for help on this back in April; however, my situation may be different. I have LR5.7 on desktop and laptop. Just uploaded  and updated LR6/6.7. After installed it worked fine on desktop, copied it to WD portable backup drive to use on laptop. Put folder in same place a LR5 on backup. Tested on desktop. It opened and all photos there. Connected portable drive to laptop. Went to launch LR6 and receive the error message. I'm clicking LR6 and it's attempting to open LR5. Appreciate your assistance.